Summary: GNOME network information applet
Name: gnome-netstatus
Version: 2.12.1
Release: %mkrel 1
License: GPL
Group: Graphical desktop/GNOME
URL: http://www.gnome.org/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libpanel-applet-devel
BuildRequires: libglade2.0-devel
BuildRequires: gtk+2-devel >= 2.3.1
BuildRequires: scrollkeeper
BuildRequires: gnome-doc-utils
BuildRequires: libxslt-proc
#gw for broken intltool:
BuildRequires: perl-XML-Parser
Requires(post): scrollkeeper
Requires(postun): scrollkeeper

%description
This package contains an applet which provides information
about a network interface on your panel.

%prep
%setup -q

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std _ENABLE_SK=false
%find_lang %{name} --with-gnome
for omf in %buildroot%_datadir/omf/%name/%name-??*.omf;do 
echo "%lang($(basename $omf|sed -e s/%name-// -e s/.omf//)) $(echo $omf|sed -e s!%buildroot!!)" >> %name.lang
done
rm -rf %buildroot/var/lib/scrollkeeper

%clean
rm -rf $RPM_BUILD_ROOT

%post
%post_install_gconf_schemas netstatus
%update_scrollkeeper
%update_icon_cache hicolor

%preun
%preun_uninstall_gconf_schemas netstatus

%postun
%clean_scrollkeeper
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README TODO ChangeLog AUTHORS NEWS
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/gnome-netstatus-applet
%{_libdir}/bonobo/servers/*
%{_datadir}/gnome-2.0/ui/*
%{_datadir}/gnome-netstatus
%dir %{_datadir}/omf/%name
%dir %{_datadir}/omf/%name/%name-C.omf
%_datadir/icons/hicolor/48x48/apps/gnome-netstatus*
%{_datadir}/pixmaps/*


%changelog
* Tue Feb 13 2007 Götz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.0
+ Revision: 120323
- Import gnome-netstatus



* Tue Feb 13 2007 Gtz Waschk <waschk@mandriva.org> 2.12.1-1mdv2007.1
- more macros
- New version 2.12.1

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-6mdv2007.0
- Rebuild with latest dbus

* Fri Feb 24 2006 Frederic Crozat <fcrozat@mandriva.com> 2.12.0-5mdk
- Use mkrel

* Sun Nov 20 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-4mdk
- rebuild for new openssl

* Wed Oct  5 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-3mdk
- fix buildrequires again

* Wed Oct  5 2005 Gtz Waschk <waschk@mandriva.org> 2.12.0-2mdk
- add missing scrollkeeper dep to post,postun
- fix buildrequires

* Tue Oct  4 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- fix installation
- New release 2.12.0

* Wed May 18 2005 Gtz Waschk <waschk@mandriva.org> 2.11.1-1mdk
- New release 2.11.1

* Mon Mar 14 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.10.0-2mdk 
- Update icon cache at install/uninstall

* Mon Mar  7 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.10.0-1mdk
- remove unpackaged files
- New release 2.10.0

* Tue Oct 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.8.0-2mdk
- fix omf file listing

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.8.0-1mdk
- New release 2.8.0

* Mon Jul 19 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2.1-1mdk
- drop yelp stuff
- New release 2.6.2.1

* Tue Jun 15 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- reenable libtoolize
- New release 2.6.2

* Tue Apr 20 2004 Goetz Waschk <goetz@mandrakesoft.com> 2.6.1-1mdk
- New release 2.6.1

* Wed Apr  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.6.0.1-1mdk
- fix file list
- add help
- requires new gtk
- new version

* Sun Feb  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.13-2mdk
- fix buildrequires

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.13-1mdk
- Release 0.13

* Fri Dec 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- Release 0.12

* Tue Jul 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-2mdk
- don't deinstall schemas on update

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.11-1mdk
- First mandrake package
